Description

Supportanfrage

Die system.xml enthält folgenden tag

<fileinfo adtfversion="2.13.3" configversion="1.3" />

Ich gehe davon aus, dass das Attribut "configversion" die Version der system.xml enthält.

Wird dieser Wert/ Version im ADTF zur Laufzeit irgendwo angezeigt?

Lösung

Ich gehe davon aus, dass das Attribut "configversion" die Version der system.xml enthält.

 Richtig, siehe auch <ADTF_DIR>/doc/xsd/system.xsd

Wird dieser Wert/ Version im ADTF zur Laufzeit irgendwo angezeigt?

 Nein, dieser wird in keinen Bordmitteln angezeigt, wenn du an Properties o.ä. denkst.

Aber natürlich ist es im Namespace hinetrlegt und somit dort abrufbar:
wir haben aktuell noch keine Versionierung unserer Konfiguration. Aus unserem Buildsystem erzeugen wir täglich eine neue

Konfiguration. Der Endanwender muss irgendwie Möglichkeit bekommen, zu überprüfen, ob er mit der richtigen Konfiguration

arbeitet. Idealerweise, wenn er es direkt im ADTF abfragen kann.

 für diesen Use Case wäre die configversion nicht geeignet, dabei geht es um Struktur und nicht um euren Inhalt, das ist ein reines

internes ADTF (kompatibilitäts)Thema seitens XSD.

Ich würde die description dazu missbrauchen:

<adtf:project xmlns:adtf="adtf">

 <fileinfo adtfversion="2.14.2" configversion="1.3" />

 <configuration_settings />

 <general_settings>

  <property name="active_configuration" type="String" value="default" />

 </general_settings>

 <configurations>

  <configuration description="BOSCH v0.8.15" name="default" />

 </configurations>

</adtf:project>
Oder fügst ein eigenes Attribut hinzu:
<adtf:project xmlns:adtf="adtf">

 <fileinfo adtfversion="2.14.2" configversion="1.3" />

 <configuration_settings />

 <general_settings>

  <property name="active_configuration" type="String" value="default" />

 </general_settings>

 <configurations>

  <configuration description="" name="default" bosch_version="0.8.15" />

 </configurations>

</adtf:project>

  new_bosch_property.png 

History

#1 - 2019-04-17 12:09 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::Common

#2 - 2019-04-17 12:16 - hidden

- File namespace_tree.png added

- Status changed from In Progress to Customer Feedback Required

Hallo Thomas,

Ich gehe davon aus, dass das Attribut "configversion" die Version der system.xml enthält.

 Richtig, siehe auch <ADTF_DIR>/doc/xsd/system.xsd

Wird dieser Wert/ Version im ADTF zur Laufzeit irgendwo angezeigt?

 Nein, dieser wird in keinen Bordmitteln angezeigt, wenn du an Properties o.ä. denkst.

Aber natürlich ist es im Namespace hinetrlegt und somit dort abrufbar:
Für was hättest du das gebraucht ?

#3 - 2019-04-17 12:59 - hidden

Hallo Florian,

wir haben aktuell noch keine Versionierung unserer Konfiguration. Aus unserem Buildsystem erzeugen wir täglich eine neue Konfiguration. Der

Endanwender muss irgendwie Möglichkeit bekommen, zu überprüfen, ob er mit der richtigen Konfiguration arbeitet. Idealerweise, wenn er es direkt

im ADTF abfragen kann.

Wir haben zwar Versionierungen für die einzelnen Filter, die sind jedoch ungeeignet um dies Überprüfung zu machen.

Mit dem Namespacetree, meinst du, dass es über die ADTF API abrufbar ist?

Gruß Thomas

#4 - 2019-04-17 13:22 - hidden

- File description_property.png added

- File new_bosch_property.png added

Hallo Thomas,

für diesen Use Case wäre die configversion nicht geeignet, dabei geht es um Struktur und nicht um euren Inhalt, das ist ein reines internes ADTF

(kompatibilitäts)Thema seitens XSD.

Ich würde die description dazu missbrauchen:

<adtf:project xmlns:adtf="adtf">

 <fileinfo adtfversion="2.14.2" configversion="1.3" />

 <configuration_settings />

 <general_settings>

  <property name="active_configuration" type="String" value="default" />
 </general_settings>

 <configurations>

  <configuration description="BOSCH v0.8.15" name="default" />

 </configurations>

</adtf:project>

  description_property.png 

Oder fügst ein eigenes Attribut hinzu:

<adtf:project xmlns:adtf="adtf">

 <fileinfo adtfversion="2.14.2" configversion="1.3" />

 <configuration_settings />

 <general_settings>

  <property name="active_configuration" type="String" value="default" />

 </general_settings>

 <configurations>

  <configuration description="" name="default" bosch_version="0.8.15" />

 </configurations>

</adtf:project>

  new_bosch_property.png 

#5 - 2019-04-25 08:56 - hidden

- Project changed from 5 to Public Support

- Subject changed from Version information in system.xml to Custom version information for configuration

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to No Customer Feedback

#6 - 2019-07-19 08:11 - hidden

- Status changed from To Be Closed to Closed
